Skip to content
Snippets Groups Projects
Commit 1eefe341 authored by nimrod's avatar nimrod
Browse files

First iteration.

Still need to skip modules that were already checked.
parent 3d310bce
No related branches found
No related tags found
No related merge requests found
0.0.1
......@@ -2,3 +2,8 @@
set -eu
command -v terraform >/dev/null || { echo "Can't find the terraform binary, aborting." >&2; exit 1; }
for i in "$@"
do
terraform fmt "$(dirname "$i")" || true
done
......@@ -2,3 +2,14 @@
set -eu
command -v terraform >/dev/null || { echo "Can't find the terraform binary, aborting." >&2; exit 1; }
export TF_INPUT='0'
export TF_IN_AUTOMATION='1'
for i in "$@"
do
terraform init -backend=false "$(dirname "$i")" || { code='1'; continue; }
terraform validate "$(dirname "$i")" || code='1'
done
exit "${code:-0}"
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment